com.sun.jna.platform.win32

## Class WinUser.HMONITOR

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinUser.HMONITOR

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinUser

      public static class WinUser.HMONITOR
      extends WinNT.HANDLE

  Each physical display is represented by a monitor handle of type HMONITOR. A valid HMONITOR is guaranteed to be non-NULL. A physical display has the same HMONITOR as long as it is part of the desktop.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinUser.HMONITOR()` Instantiates a new HMONITOR.
    `WinUser.HMONITOR(Pointer p)` Instantiates a new HMONITOR.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer, toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinUser.HMONITOR

          public WinUser.HMONITOR()

      Instantiates a new HMONITOR.

    - #### WinUser.HMONITOR

          public WinUser.HMONITOR(Pointer p)

      Instantiates a new HMONITOR.
      Parameters:
        `p` - the pointer

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.